| Home | Libraries | People | FAQ | More

###### key_value_pair::key_value_pair (5 of 7 overloads)

Constructor.

###### Synopsis

    template<
        class... Args>
    key_value_pair(
        string_view key,
        Args&&... args);

###### Description

This constructs a key/value pair.

###### Exception Safety

Strong guarantee. Calls to `memory_resource::allocate` may throw.

###### Parameters

Name | Description
--- | ---
`key` | The key string to use.
`args` | Optional arguments forwarded to the `value` constructor.